//-----------------------------------------
// LScript Generic template
//
// Copyright 2016 Michael Green
// mike@mikegreen.name
//

myversion=1.0;

@version 2.2
@warnings
@script generic
// global values go here
gdir=1;
gsuf=2;
gsce=3;
gset;

generic
{
    // perform all processing here
    gset[gdir]=getdir("Objects");
    gset[gsuf]="_Suffix";
    gset[gsce]=Scene().filename;

    for(i=1;i<=gset.size();i++)
	{
		gset[i]=recall("MG_SavewithSuffix"+i.asStr(),gset[i]);
	}

    reqbegin("Save All Items with Suffix Version"+myversion);
	reqsize(400,130);
    c[1] = ctlfoldername("Target Directory",gset[gdir]);
    c[2] = ctlstring("Suffix",gset[gsuf]);
    c[3] = ctlfilename("Scene name",gset[gsce]);

    for(i=1;i<=c.size();i++)
	{
		ctlposition(c[i],10,(i - 1)*30+5,350,25);
	}
    return if !reqpost();

    // get requester control values here
    for(i=1;i<=gset.size();i++)
	{
		gset[i]=getvalue(c[i]);
		store("MG_SavewithSuffix"+i.asStr(),gset[i]);
	}
    reqend();
    SaveObjectsSuffix();
}

SaveObjectsSuffix
{
	mydir=gset[gdir];
	mysuffix=gset[gsuf];
	myobject=Mesh();
	myold=@" "@;
	myindex=1;
	while(myobject)
	{
		if(!myobject.null)
		{
			myfilename=myobject.filename;
			if(!myold.contains(myfilename))
			{
				mysplit=split(myfilename);
				mynewfilename=mydir+"\\"+mysplit[3]+mysuffix+mysplit[4];
				SelectItem(myobject.id);
				SaveObject(mynewfilename);
				myold[myindex]=mynewfilename;
				myindex++;
			}
		}
		myobject=myobject.next();
	}
// 	myfilename=Scene().filename;
// 	mysplit=split(myfilename);
// 	mynewfilename=mysplit[1]+mysplit[2]+mysplit[3]+mysuffix+mysplit[4];
//	SaveSceneAs(mynewfilename);
	SaveSceneAs(gset[gsce]);
}